# mayzup: A parser for grammars developed with MAYZ

Japanese version

This is a parser for specialized a grammar and a probabilistic model that are developed using the MAYZ toolkit.

mayzup [options] [-a arguments]
Arguments following "-a" are passed to LiLFeS programs as command-line arguments
Options
-L directory | Directory of LiLFeS modules
-W number | Limit number of words
-E number | Limit number of edges
-l module | Load LiLFeS program
-e command | Execute LiLFeS command
-i | Interactive mode (show LiLFeS prompt)
-n | Non-interactive mode (default)
-iter | With iterative beam thresholding (default)
-fom | With disambiguation
-nofom | Without disambiguation

This tool loads LiLFeS modules specified with "-l" and executes a parser. If a lilfes command is specified, it is executed. If interactive mode is specified, it prints a command prompt of LiLFeS after executing the lilfes command.

This tool supports only loading of modules and up interfaces. It does nothing about loading of a lexicon and initialization of FOM models. For these, utilize the interfaces of "up" such as "`parser_init`".

In addition to the function of "up", "`mayzup`" provides the following predicates. The following predicates assist the usage of probabilistic models in parsing.

`init_amis_model(+$ModelName, +$ModelFile)`
$ModelName | name of a probabilistic model
$ModelFile | parameter file
Makes a new amis model, loads paramters from $ModelFile, and initialize feature masks.

`delete_amis_model(+$ModelName)`
$ModelName | name of a probabilistic model
Delete a model created by "init_amis_model/2"

`amis_event_weight(+$ModelName, +$Category, +$Event, -$FOM)`
$ModelName | name of a probabilistic model
$Category | name of a category
$Event | event (a list of strings)
$FOM | FOM of the event (log probability)
Computes the FOM of the event $Event by summing up weights of features that are obtained by applying features masks to the event.

`amis_log_probability(+$ModelName, +$Category, +$EventList, -$FOMList)`
$ModelName | name of a probabilistic model
$Category | name of a category
$EventList | list of events (a list of lists of strings)
$FOMList | list of FOM (log probability) of the events
Computes FOM of each events by "amis_event_weight/4", and returns a list of FOMs by normalizing them.

The other functions are the same as "up". For details, see the manual of UP.

MAYZ Toolkit Manual MAYZ Home Page Tsujii Laboratory